post_app_v2_user_accounts_worldpay_create_createcardaccount
POST
/api/v2/user/accounts/cards/worldpay
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
sessionIdentifier
required
The Worldpay session identifier from the card collection session.
string
Example
eyJhbGciOiJSUzI1NiJ9 cardHolderName
required
The name of the card holder as it appears on the card.
string
Example
John Doe currencyCode
required
The ISO 4217 currency code.
string
Example
EURResponses
Section titled “ Responses ”The Worldpay card account has been created successfully.
object
accountIdentifier
The masked card identifier.
string
Example
404010_1234_12_2026 accountHolderName
The name of the card holder.
string
Example
John DoeA list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER109": { "code": "ER109", "message": "No currency provided.", "solution": "Provide a supported currency." }, "ER114": { "code": "ER114", "message": "Unsupported currency provided.", "solution": "Provide a supported currency." }, "ER188": { "code": "ER188", "message": "The account cannot be instantly verified.", "solution": "The account could not be automatically verified. It may still be verified by support." }, "ER393": { "code": "ER393", "message": "Token cannot be an empty string.", "solution": "Provide a valid token." }, "ER399": { "code": "ER399", "message": "Cardholder name is missing on the account.", "solution": "Ensure the account has a cardholder name before requesting verification." }, "ER401": { "code": "ER401", "message": "Unable to create payment account.", "solution": "Please try again later. If the problem persists, contact support." }, "ER700": { "code": "ER700", "message": "User authorization token not found.", "solution": "Provide a user authorization token." }, "ER701": { "code": "ER701", "message": "User authorization token has expired.", "solution": "Request a new authorization token, or refresh the token." }, "ER702": { "code": "ER702", "message": "User authorization token is invalid.", "solution": "Provide a valid user authorization token." }, "ER703": { "code": "ER703", "message": "User identifier does not belong to the user in the user authorization token.", "solution": "Provide a valid user identifier, or remove the user identifier header." }, "ER704": { "code": "ER704", "message": "No user identifier found in headers.", "solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that." }, "ER705": { "code": "ER705", "message": "User identifier is not linked to a user.", "solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism." }, "ER706": { "code": "ER706", "message": "User identifier is invalid.", "solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use." }, "ER707": { "code": "ER707", "message": "User identifier is invalid.", "solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only." }, "ER708": { "code": "ER708", "message": "There is a pending document for this side.", "solution": "Wait for the pending document to be reviewed." }, "ER709": { "code": "ER709", "message": "User not found, or user has been deleted.", "solution": "Provide a valid user identifier." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}